namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "fury_cutter")]
public class FuryCutterEffect : Script, IScriptOnBeforeMove
{
    public int TurnCount { get; set; }

    /// <inheritdoc />
    public void OnBeforeMove(IExecutingMove move)
    {
        if (move.UseMove.Name != "fury_cutter")
            RemoveSelf();
    }
}